package com.keao.edu.user.page;

import com.keao.edu.common.page.QueryInfo;
import com.keao.edu.user.enums.TeacherSettlementTypeEnum;
import io.swagger.annotations.ApiModelProperty;

/**
 * @Author Joburgess
 * @Date 2020.07.01
 */
public class ExamTeacherSalaryQueryInfo extends QueryInfo {

    @ApiModelProperty(value = "考级编号")
    private Integer examId;

    @ApiModelProperty(value = "教师编号")
    private Integer teacherId;

    @ApiModelProperty(value = "结算类型（按天/人）")
    private TeacherSettlementTypeEnum settlementType;

    public Integer getExamId() {
        return examId;
    }

    public void setExamId(Integer examId) {
        this.examId = examId;
    }

    public Integer getTeacherId() {
        return teacherId;
    }

    public void setTeacherId(Integer teacherId) {
        this.teacherId = teacherId;
    }

    public TeacherSettlementTypeEnum getSettlementType() {
        return settlementType;
    }

    public void setSettlementType(TeacherSettlementTypeEnum settlementType) {
        this.settlementType = settlementType;
    }
}
